Index: src/proc-db/sketch.c
===================================================================
--- src/proc-db/sketch.c	(revision 54168)
+++ src/proc-db/sketch.c	(working copy)
@@ -34,7 +34,7 @@
 #include "wdb.h"
 #include "rtgeom.h"
 
-extern struct rt_sketch_internal *sketch_start();
+extern struct rt_sketch_internal *sketch_start(void);
 
 struct rt_wdb *outfp;
 
Index: src/proc-db/wavy.c
===================================================================
--- src/proc-db/wavy.c	(revision 54168)
+++ src/proc-db/wavy.c	(working copy)
@@ -42,7 +42,7 @@
 {
     struct face_g_snurb **surfs;
     struct face_g_snurb *srf;
-    fastf_t rt_nurb_par_edge();
+    fastf_t rt_nurb_par_edge(void);
 
     BU_GET(srf, struct face_g_snurb);
 
Index: src/proc-db/pdb-g.c
===================================================================
--- src/proc-db/pdb-g.c	(revision 54168)
+++ src/proc-db/pdb-g.c	(working copy)
@@ -38,7 +38,7 @@
 
 
 void
-mk_protein()
+mk_protein(void)
 {
     return;
 }
Index: src/proc-db/nmgmodel.c
===================================================================
--- src/proc-db/nmgmodel.c	(revision 54168)
+++ src/proc-db/nmgmodel.c	(working copy)
@@ -490,7 +490,7 @@
 
 
 void
-make_1manifold_bits()
+make_1manifold_bits(void)
 {
     struct edgeuse *eu;
 
@@ -507,7 +507,7 @@
 
 
 void
-make_0manifold_bits()
+make_0manifold_bits(void)
 {
     struct shell *sp;
 
Index: src/proc-db/pyramid.c
===================================================================
--- src/proc-db/pyramid.c	(revision 54168)
+++ src/proc-db/pyramid.c	(working copy)
@@ -37,7 +37,7 @@
 #include "wdb.h"
 
 
-void do_leaf(char *name), do_pleaf(), pnorms(fastf_t (*norms)[3], fastf_t (*verts)[3], fastf_t *centroid, int npts), do_tree(char *name, char *lname, int level);
+void do_leaf(char *name), do_pleaf(void), pnorms(fastf_t (*norms)[3], fastf_t (*verts)[3], fastf_t *centroid, int npts), do_tree(char *name, char *lname, int level);
 
 double sin60;
 
Index: src/libged/bot_dump.c
===================================================================
--- src/libged/bot_dump.c	(revision 54168)
+++ src/libged/bot_dump.c	(working copy)
@@ -154,7 +154,7 @@
 
 
 static void
-free_obj_materials() {
+free_obj_materials(void) {
     struct _ged_obj_material *gomp;
 
     while (BU_LIST_WHILE(gomp, _ged_obj_material, &HeadObjMaterials)) {
Index: src/libged/track.c
===================================================================
--- src/libged/track.c	(revision 54168)
+++ src/libged/track.c	(working copy)
@@ -63,15 +63,48 @@
     fastf_t s_values[24];
 } sol;
 
-static int wrobj();
-static void slope(), crdummy(), trcurve();
-static void bottom(), top();
+static int wrobj(struct ged *gedp,
+      char name[],
+      int flags);
+static void slope(struct ged *gedp,
+      fastf_t wh1[],
+      fastf_t wh2[],
+      fastf_t t[]);
+static void crdummy(fastf_t w[3],
+		    fastf_t t[3], 
+		    int flag);
+static void trcurve(fastf_t wh[],
+		    fastf_t t[]);
+static void bottom(vect_t vec1,
+		   vect_t vec2, 
+		   fastf_t t[]);
+static void top(vect_t vec1,
+		vect_t vec2,
+		fastf_t t[]);
 
-static void track_mk_tree_pure();
-static int track_mk_tree_gift();
-static struct wmember *track_mk_addmember();
-static void track_mk_freemembers();
-static int track_mk_comb();
+static void track_mk_tree_pure(struct rt_comb_internal *comb, 
+			       struct bu_list *member_hd);
+static int track_mk_tree_gift(struct rt_comb_internal *comb, 
+			      struct bu_list *member_hd);
+static struct wmember *track_mk_addmember(const char *name,
+					  struct bu_list *headp,
+					  mat_t mat,
+					  int op);
+static void track_mk_freemembers(struct bu_list *headp);
+static int track_mk_comb(struct rt_wdb *wdbp,
+			 const char *combname,
+			 struct bu_list *headp,		/* Made by mk_addmember() */
+			 int region_kind,	/* 1 => region.  'P' and 'V' for FASTGEN */
+			 const char *shadername,	/* shader name, or NULL */
+			 const char *shaderargs,	/* shader args, or NULL */
+			 const unsigned char *rgb,		/* NULL => no color */
+			 int id,		/* region_id */
+			 int air,		/* aircode */
+			 int material,	/* GIFTmater */
+			 int los,
+			 int inherit,
+			 int append_ok,	/* 0 = obj must not exit */
+			 int gift_semantics);
 
 
 /*	==== I T O A ()
Index: src/fb/fbcmap.c
===================================================================
--- src/fb/fbcmap.c	(revision 54168)
+++ src/fb/fbcmap.c	(working copy)
@@ -623,7 +623,7 @@
 
 
 static void
-usage()
+usage(void)
 {
     (void) fprintf(stderr, "Usage: fbcmap [-h] [-F framebuffer]\n");
     (void) fprintf(stderr, "	[-{sS} squarescrsize] [-{wW} scr_width] [-{nN} scr_height]\n");
Index: src/fb/fbzoom.c
===================================================================
--- src/fb/fbzoom.c	(revision 54168)
+++ src/fb/fbzoom.c	(working copy)
@@ -143,7 +143,7 @@
 #define ctl(x)	(x&037)
 
 static void
-printUsage()
+printUsage(void)
 {
     bu_log("\n\nBoth VI and EMACS motions work.\r\n");
     bu_log("b ^V	zoom Bigger (*2) s	zoom Smaller (*0.5)\n");
Index: src/adrt/load.c
===================================================================
--- src/adrt/load.c	(revision 54168)
+++ src/adrt/load.c	(working copy)
@@ -36,7 +36,7 @@
 adrt_mesh_t *slave_load_mesh_list;
 
 void
-slave_load_free()
+slave_load_free(void)
 {
 #if 0
     int i;
Index: src/halftone/main.c
===================================================================
--- src/halftone/main.c	(revision 54168)
+++ src/halftone/main.c	(working copy)
@@ -90,7 +90,7 @@
 struct bn_unif *RandomFlag=0;	/* Use random numbers ? */
 
 void cubic_init(int n, int *x, int *y);
-void tonescale(unsigned char *map, float Slope, float B, int (*eqptr)() );
+void tonescale(unsigned char *map, float Slope, float B, int (*eqptr)(void) );
 int sharpen(unsigned char *buf, int size, int num, FILE *file, unsigned char *Map);
 int tone_floyd(int pix, int x, int y, int nx, int ny, int newrow);
 int tone_folly(int pix, int x, int y, int nx, int ny, int newrow);
Index: src/conv/stl/stl-g.c
===================================================================
--- src/conv/stl/stl-g.c	(revision 54168)
+++ src/conv/stl/stl-g.c	(working copy)
@@ -385,7 +385,7 @@
 }
 
 static void
-Convert_part_binary()
+Convert_part_binary(void)
 {
     unsigned char buf[51];
     unsigned long num_facets=0;
@@ -524,7 +524,7 @@
 
 
 static void
-Convert_input()
+Convert_input(void)
 {
     char line[ MAX_LINE_SIZE ];
 
Index: src/conv/ply-g.c
===================================================================
--- src/conv/ply-g.c	(revision 54168)
+++ src/conv/ply-g.c	(working copy)
@@ -129,7 +129,7 @@
 static int cur_face=-1;
 
 void
-log_elements()
+log_elements(void)
 {
     struct element *elemp;
     struct prop *p;
@@ -164,7 +164,7 @@
 
 
 int
-get_endianness()
+get_endianness(void)
 {
     if (bu_byteorder() == BU_BIG_ENDIAN) {
 	/* big Endian */
@@ -615,7 +615,7 @@
 }
 
 int
-read_ply_header()
+read_ply_header(void)
 {
     struct element *elem_ptr = NULL;
 
Index: src/conv/nmg/nmg-sgp.c
===================================================================
--- src/conv/nmg/nmg-sgp.c	(revision 54168)
+++ src/conv/nmg/nmg-sgp.c	(working copy)
@@ -51,8 +51,7 @@
 
 /* returns 1 if faceuse was not written because it was empty */
 static int
-write_fu_as_sgp( fu )
-    struct faceuse *fu;
+write_fu_as_sgp(struct faceuse *fu )
 {
     struct loopuse *lu;
 
Index: src/conv/g-dot.c
===================================================================
--- src/conv/g-dot.c	(revision 54168)
+++ src/conv/g-dot.c	(working copy)
@@ -211,7 +211,7 @@
 
 
 static void
-help()
+help(void)
 {
     bu_log("\n\t-? | -h | -H    (optional) displays this help");
     bu_log("\n\t-o output.dot   (optional) name of output Graphviz .dot file");
Index: src/conv/vdeck/vdeck.c
===================================================================
--- src/conv/vdeck/vdeck.c	(revision 54168)
+++ src/conv/vdeck/vdeck.c	(working copy)
@@ -146,37 +146,37 @@
 /* Structures.								*/
 mat_t		identity;
 
-extern void		menu();
-extern void		quit();
+extern void		menu(char **addr);
+extern void		quit(void);
 
-char			getarg();
-void			quit(), abort_sig();
+char			getarg(char *str, size_t maxchars);
+void			quit(void), abort_sig(int sig);
 
-int			getcmd();
-void			prompt();
+int			getcmd(char *args[], int ct);
+void			prompt(char *fmt);
 
-void			addarb();
-void			addtgc();
-void			addtor();
-void			addhalf();
-void			addarbn();
-void			addell();
-void			addars();
-void			deck();
-void			itoa();
-void			vls_blanks();
-void			vls_itoa();
-void			vls_ftoa_vec_cvt();
-void			vls_ftoa_vec();
-void			vls_ftoa_cvt();
-void			vls_ftoa();
-extern int		parsArg();
-extern int		insert();
-extern int		col_prt();
-extern int		match();
-extern int		delete();
-extern int		cgarbs();
-extern int		redoarb();
+void			addarb(struct bu_vls *v, struct rt_arb_internal *gp, char *name, int num);
+void			addtgc(struct bu_vls *v, struct rt_tgc_internal *gp, char *name, int num);
+void			addtor(struct bu_vls *v, struct rt_tor_internal *gp, char *name, int num);
+void			addhalf(struct bu_vls *v, struct rt_half_internal *gp, char *name, int num);
+void			addarbn(struct bu_vls *v, struct rt_arbn_internal *gp, char *name, int num);
+void			addell(struct bu_vls *v, struct rt_ell_internal *gp, char *name, int num);
+void			addars(struct bu_vls *v, struct rt_ars_internal *gp, char *name, int num);
+void			deck(char *prefix);
+void			itoa(int n, char *s, int w);
+void			vls_blanks(struct bu_vls *v, int n);
+void			vls_itoa(struct bu_vls *v, int n, int w);
+void			vls_ftoa_vec_cvt(struct bu_vls *v, const vect_t vec, int w, int d);
+void			vls_ftoa_vec(struct bu_vls *v, const vect_t vec, int w, int d);
+void			vls_ftoa_cvt(struct bu_vls *v, double f, int w, int d);
+void			vls_ftoa(struct bu_vls *v, double f, int w, int d);
+extern int		parsArg(int argc, char *argv);
+extern int		insert(char *args[], int ct);
+extern int		col_prt(char *list[], int ct);
+extern int		match(char *pattern, char *string);
+extern int		delete(char *args[]);
+extern int		cgarbs(int *cgtype, const struct rt_arb_internal *gp, int uniq[8], int svec[11], const double dist_tol);
+extern int		redoarb(point_t pts[8], const struct rt_arb_internal *gp, int uniq[8], int svec[11], const int numvec, const int cgtype);
 
 extern void ewrite(FILE *fp, const char *buf, unsigned bytes);
 extern void blank_fill(FILE *fp, int count);
@@ -1790,7 +1790,7 @@
  * Terminate run.
  */
 void
-quit(int UNUSED(sig))
+quit(void)
 {
     (void) fprintf(stdout, "quitting...\n");
     bu_exit(0, NULL);
Index: src/conv/vdeck/vextern.h
===================================================================
--- src/conv/vdeck/vextern.h	(revision 54168)
+++ src/conv/vdeck/vextern.h	(working copy)
@@ -58,7 +58,7 @@
 extern char	*usage[], *cmd[];
 extern mat_t	identity;
 
-extern void		abort_sig(int sig), quit(int sig);
+extern void		abort_sig(int sig), quit(void);
 extern void		toc(void), list_toc(char **args);
 extern void		prompt(char *fmt);
 
Index: src/conv/g-var.c
===================================================================
--- src/conv/g-var.c	(revision 54168)
+++ src/conv/g-var.c	(working copy)
@@ -108,7 +108,7 @@
 }
 
 
-void dealloc_mesh_list()
+void dealloc_mesh_list(void)
 {
     struct mesh* tmp;
     curr = head;
@@ -245,7 +245,7 @@
 }
 
 
-void write_mesh_data()
+void write_mesh_data(void)
 {
     size_t ret;
 
Index: src/conv/tankill/tankill-g.c
===================================================================
--- src/conv/tankill/tankill-g.c	(revision 54168)
+++ src/conv/tankill/tankill-g.c	(working copy)
@@ -112,7 +112,7 @@
  */
 
 static void
-usage()
+usage(void)
 {
     bu_log("Usage: tankill-g [-v] [-p] [-k] [-t tolerance] [-x lvl] [-X lvl] [-i input_tankill_file] [-o output_brlcad_model]\n");
     bu_log("    where tolerance is the minimum distance (mm) between distinct vertices,\n");
Index: src/conv/dxf/dxf-g.c
===================================================================
--- src/conv/dxf/dxf-g.c	(revision 54168)
+++ src/conv/dxf/dxf-g.c	(working copy)
@@ -277,7 +277,7 @@
 }
 
 static void
-get_layer()
+get_layer(void)
 {
     int i;
     int old_layer=curr_layer;
@@ -341,7 +341,7 @@
 }
 
 static void
-create_nmg()
+create_nmg(void)
 {
     struct model *m;
     struct nmgregion *r;
@@ -3049,7 +3049,7 @@
 }
 
 int
-readcodes()
+readcodes(void)
 {
     int code;
     size_t line_len;
Index: src/conv/fast4-g.c
===================================================================
--- src/conv/fast4-g.c	(revision 54168)
+++ src/conv/fast4-g.c	(working copy)
@@ -229,7 +229,7 @@
 static point_t *grid_points = NULL;
 
 static void
-usage() {
+usage(void) {
     bu_log("Usage:\n\tfast4-g [-dwq] [-c component_list] [-m muves_file] [-o plot_file] [-b BU_DEBUG_FLAG] [-x RT_DEBUG_FLAG] fastgen4_bulk_data_file output.g\n");
     bu_log("	d - print debugging info\n");
     bu_log("	q - quiet mode (don't say anything except error messages\n");
Index: src/conv/iges/readtree.c
===================================================================
--- src/conv/iges/readtree.c	(revision 54168)
+++ src/conv/iges/readtree.c	(working copy)
@@ -25,7 +25,7 @@
 Readtree(mat_t *matp)
 {
     int length, i, k, op;
-    union tree *ptr, *Pop();
+    union tree *ptr, *Pop(void);
     matp_t new_mat;
 
     Readint(&i, "");
Index: src/conv/iges/evalxform.c
===================================================================
--- src/conv/iges/evalxform.c	(revision 54168)
+++ src/conv/iges/evalxform.c	(working copy)
@@ -34,7 +34,7 @@
 
 
 void
-Evalxform()
+Evalxform(void)
 {
 
     int i, j, xform;
Index: src/conv/iges/main.c
===================================================================
--- src/conv/iges/main.c	(revision 54168)
+++ src/conv/iges/main.c	(working copy)
@@ -88,7 +88,7 @@
 'iges-g -t -o file.g %s'\n";
 
 void
-Suggestions()
+Suggestions(void)
 {
     int i;
     int csg = 0;
Index: src/conv/iges/convtree.c
===================================================================
--- src/conv/iges/convtree.c	(revision 54168)
+++ src/conv/iges/convtree.c	(working copy)
@@ -31,12 +31,12 @@
 #define MEMCHECK if ((bu_debug & BU_DEBUG_MEM_CHECK) && (bu_mem_barriercheck())) bu_log("memory corruption found in file %s at line %d\n", __FILE__, __LINE__)
 
 
-union tree *Readtree();
-union tree *Copytree();
+union tree *Readtree(mat_t *matp);
+union tree *Copytree(void);
 
 
 void
-Convtree()
+Convtree(void)
 {
 
     int conv = 0;
Index: src/conv/iges/get_att.c
===================================================================
--- src/conv/iges/get_att.c	(revision 54168)
+++ src/conv/iges/get_att.c	(working copy)
@@ -27,7 +27,7 @@
  * definition.
  */
 void
-Get_att()
+Get_att(void)
 {
     int i, j;
     char *str;
Index: src/conv/iges/findp.c
===================================================================
--- src/conv/iges/findp.c	(revision 54168)
+++ src/conv/iges/findp.c	(working copy)
@@ -32,7 +32,7 @@
 #include "./iges_extern.h"
 
 int
-Findp()
+Findp(void)
 {
     int saverec, rec2, i;
     long offset;
@@ -91,7 +91,7 @@
 
 
 void
-Free_dir()
+Free_dir(void)
 {
     int i;
 
Index: src/conv/iges/conv_drawings.c
===================================================================
--- src/conv/iges/conv_drawings.c	(revision 54168)
+++ src/conv/iges/conv_drawings.c	(working copy)
@@ -730,7 +730,7 @@
 	}
 
 void
-Conv_drawings()
+Conv_drawings(void)
 {
     int i;
     int tot_drawings = 0;
Index: src/conv/iges/convsurf.c
===================================================================
--- src/conv/iges/convsurf.c	(revision 54168)
+++ src/conv/iges/convsurf.c	(working copy)
@@ -30,7 +30,7 @@
 
 
 void
-Convsurfs()
+Convsurfs(void)
 {
 
     int i, totsurfs = 0, convsurf = 0;
Index: src/conv/iges/stack.c
===================================================================
--- src/conv/iges/stack.c	(revision 54168)
+++ src/conv/iges/stack.c	(working copy)
@@ -26,7 +26,7 @@
 static int jtop, stklen;
 
 void
-Initstack()
+Initstack(void)
 {
 
     jtop = (-1);
@@ -66,7 +66,7 @@
 
 
 union tree *
-Pop()
+Pop(void)
 {
     union tree *ptr;
 
@@ -82,7 +82,7 @@
 
 
 void
-Freestack()
+Freestack(void)
 {
     jtop = (-1);
     return;
Index: src/conv/iges/trimsurf.c
===================================================================
--- src/conv/iges/trimsurf.c	(revision 54168)
+++ src/conv/iges/trimsurf.c	(working copy)
@@ -1391,7 +1391,7 @@
 
 
 void
-Convtrimsurfs()
+Convtrimsurfs(void)
 {
 
     int i, convsurf = 0, totsurfs = 0;
Index: src/conv/iges/revolve.c
===================================================================
--- src/conv/iges/revolve.c	(revision 54168)
+++ src/conv/iges/revolve.c	(working copy)
@@ -27,9 +27,6 @@
 #include "./iges_extern.h"
 #include "vmath.h"
 
-void Addsub();
-
-
 struct subtracts
 {
     char *name;
@@ -49,6 +46,7 @@
     struct trclist *next, *prev;
 };
 
+void Addsub(struct trclist *trc, struct trclist *ptr);
 
 int
 revolve(int entityno)
Index: src/conv/iges/do_subfigs.c
===================================================================
--- src/conv/iges/do_subfigs.c	(revision 54168)
+++ src/conv/iges/do_subfigs.c	(working copy)
@@ -23,7 +23,7 @@
 
 
 void
-Do_subfigs()
+Do_subfigs(void)
 {
     int i, j;
     int entity_type;
Index: src/conv/iges/summary.c
===================================================================
--- src/conv/iges/summary.c	(revision 54168)
+++ src/conv/iges/summary.c	(working copy)
@@ -22,7 +22,7 @@
 #include "./iges_extern.h"
 
 void
-Summary()
+Summary(void)
 {
     int i;
     int indep_entities = 0;
@@ -45,7 +45,7 @@
 
 
 void
-Zero_counts()
+Zero_counts(void)
 {
     int i;
 
Index: src/conv/iges/showtree.c
===================================================================
--- src/conv/iges/showtree.c	(revision 54168)
+++ src/conv/iges/showtree.c	(working copy)
@@ -25,12 +25,12 @@
 
 #define STKBLK 100	/* Allocation block size */
 
-static void Initastack(), Apush();
-static void Initsstack(), Spush();
-static void Afreestack(), Sfreestack();
+static void Initastack(void), Apush(char *ptr);
+static void Initsstack(void), Spush(struct node *ptr);
+static void Afreestack(void), Sfreestack(void);
 
-static char *Apop();
-static struct node *Spop();
+static char *Apop(void);
+static struct node *Spop(void);
 
 /* Some junk for this routines private node stack */
 struct node **sstk_p;
@@ -121,7 +121,7 @@
 /* The following are stack routines for character strings */
 
 static void
-Initastack()
+Initastack(void)
 {
     int i;
 
@@ -165,7 +165,7 @@
 
 
 static char *
-Apop()
+Apop(void)
 {
     char *ptr;
 
@@ -182,7 +182,7 @@
 
 /* Free the memory associated with the stack */
 static void
-Afreestack()
+Afreestack(void)
 {
 
     jtop = (-1);
@@ -194,7 +194,7 @@
 
 /* The following routines are stack routines for 'struct node' */
 static void
-Initsstack() /* initialize the stack */
+Initsstack(void) /* initialize the stack */
 {
 
     sjtop = (-1);
@@ -232,7 +232,7 @@
 
 
 static struct node *
-Spop()
+Spop(void)
 {
     struct node *ptr;
 
@@ -249,7 +249,7 @@
 
 /* free memory associated with the stack, but not the pointed to nodes */
 static void
-Sfreestack()
+Sfreestack(void)
 {
     sjtop = (-1);
     bu_free((char *)sstk_p, "Sfreestack: sstk_p");
Index: src/conv/iges/docolor.c
===================================================================
--- src/conv/iges/docolor.c	(revision 54168)
+++ src/conv/iges/docolor.c	(working copy)
@@ -39,7 +39,7 @@
     { 8, 255, 255, 255 }};
 
 void
-Docolor()
+Docolor(void)
 {
 
     int i, j;
Index: src/conv/iges/convinst.c
===================================================================
--- src/conv/iges/convinst.c	(revision 54168)
+++ src/conv/iges/convinst.c	(working copy)
@@ -22,7 +22,7 @@
 #include "./iges_extern.h"
 
 void
-Convinst()
+Convinst(void)
 {
 
     int i, j, k;
Index: src/conv/iges/readstart.c
===================================================================
--- src/conv/iges/readstart.c	(revision 54168)
+++ src/conv/iges/readstart.c	(working copy)
@@ -22,7 +22,7 @@
 #include "./iges_extern.h"
 
 void
-Readstart()
+Readstart(void)
 {
 
     int i = 0, done = 0;
Index: src/conv/iges/makegroup.c
===================================================================
--- src/conv/iges/makegroup.c	(revision 54168)
+++ src/conv/iges/makegroup.c	(working copy)
@@ -28,7 +28,7 @@
 #include "./iges_extern.h"
 
 void
-Makegroup()
+Makegroup(void)
 {
 
     int i, j, comblen = 0, nurbs = 0;
Index: src/conv/iges/convassem.c
===================================================================
--- src/conv/iges/convassem.c	(revision 54168)
+++ src/conv/iges/convassem.c	(working copy)
@@ -39,7 +39,7 @@
 
 
 void
-Convassem()
+Convassem(void)
 {
     int i, j, k, comblen, conv = 0, totass = 0;
     struct solid_list *root, *ptr, *ptr_tmp;
Index: src/conv/iges/check_names.c
===================================================================
--- src/conv/iges/check_names.c	(revision 54168)
+++ src/conv/iges/check_names.c	(working copy)
@@ -151,7 +151,7 @@
 
 
 void
-Skip_field()
+Skip_field(void)
 {
     int done = 0;
     int lencard;
@@ -513,7 +513,7 @@
 
 
 void
-Check_names()
+Check_names(void)
 {
     int i;
 
Index: src/conv/iges/recsize.c
===================================================================
--- src/conv/iges/recsize.c	(revision 54168)
+++ src/conv/iges/recsize.c	(working copy)
@@ -47,7 +47,7 @@
 		   */
 
 int
-Recsize()
+Recsize(void)
 {
 
     int i, j, k = (-1), recl = 0, length[NRECS] = {0}, ch;
Index: src/conv/iges/makedir.c
===================================================================
--- src/conv/iges/makedir.c	(revision 54168)
+++ src/conv/iges/makedir.c	(working copy)
@@ -32,7 +32,7 @@
 #define CR '\015'
 
 void
-Makedir()
+Makedir(void)
 {
 
     int found, i, saverec, entcount = (-1), paramptr = 0, paramguess = 0;
Index: src/conv/iges/convsolids.c
===================================================================
--- src/conv/iges/convsolids.c	(revision 54168)
+++ src/conv/iges/convsolids.c	(working copy)
@@ -29,7 +29,7 @@
 #include "./iges_extern.h"
 
 void
-Convsolids()
+Convsolids(void)
 {
 
     int i, totsolids = 0, conv = 0;
Index: src/libgcv/test_bottess.c
===================================================================
--- src/libgcv/test_bottess.c	(revision 54168)
+++ src/libgcv/test_bottess.c	(working copy)
@@ -68,7 +68,7 @@
 }
 
 int
-test_tri_intersections()
+test_tri_intersections(void)
 {
     int count = 0;
 #define TRY(suc, t00x,t00y,t00z, t01x,t01y,t01z, t02x,t02y,t02z, t10x,t10y,t10z, t11x,t11y,t11z, t12x,t12y,t12z, p0x,p0y,p0z, p1x,p1y,p1z) { \
@@ -99,7 +99,7 @@
 }
 
 int
-test_face_split_single()
+test_face_split_single(void)
 {
     unsigned long int i, tcount = 0, count = 0, nsplt;
     struct soup_s s;
@@ -191,7 +191,7 @@
 }
 
 int
-test_face_splits()
+test_face_splits(void)
 {
     int count = 0;
 
@@ -232,12 +232,12 @@
     return count;
 }
 
-int test_invert()
+int test_invert(void)
 {
     return -1;
 }
 
-int test_compose()
+int test_compose(void)
 {
     int rval = 0;
     unsigned int i;
@@ -302,7 +302,7 @@
     return rval;
 }
 
-int test_evaluate()
+int test_evaluate(void)
 {
     return -1;
 }
Index: src/gtools/beset/beset.c
===================================================================
--- src/gtools/beset/beset.c	(revision 54168)
+++ src/gtools/beset/beset.c	(working copy)
@@ -46,7 +46,7 @@
 struct rt_db_internal source_obj;
 
 
-void usage() {
+void usage(void) {
     bu_exit(1, "Usage: %s [options] db.g object\nOptions:\n -p #\t\tPopulation size\n -g #\t\tNumber of generations\n -r #\t\tResolution \n -u #\t\tUpper percent of individuals to keep\n -l #\t\tLower percent of individuals to kill\n", bu_getprogname());
 }
 
Index: src/gtools/g_transfer.c
===================================================================
--- src/gtools/g_transfer.c	(revision 54168)
+++ src/gtools/g_transfer.c	(working copy)
@@ -83,7 +83,7 @@
 
 
 server_data*
-init_srv_data () {
+init_srv_data (void) {
 		server_data *stash = bu_malloc(sizeof *stash, "server data memory");
 		stash->DBIP = NULL;
 		stash->srv_argc = 0;
Index: src/libicv/fileformat.c
===================================================================
--- src/libicv/fileformat.c	(revision 54168)
+++ src/libicv/fileformat.c	(working copy)
@@ -240,7 +240,7 @@
 /* begin public functions */
 
 int
-icv_image_load()
+icv_image_load(void)
 {
     bu_log("icv_image_load not implemented\n");
     return 0;
Index: src/mged/axes.c
===================================================================
--- src/mged/axes.c	(revision 54168)
+++ src/mged/axes.c	(working copy)
@@ -41,7 +41,7 @@
 extern point_t e_axes_pos;
 extern point_t curr_e_axes_pos;
 
-static void ax_set_dirty_flag();
+static void ax_set_dirty_flag(void);
 
 struct _axes_state default_axes_state = {
     /* ax_rc */			1,
@@ -81,7 +81,7 @@
 
 
 static void
-ax_set_dirty_flag()
+ax_set_dirty_flag(void)
 {
     struct dm_list *dmlp;
 
@@ -92,7 +92,7 @@
 
 
 void
-draw_e_axes()
+draw_e_axes(void)
 {
     point_t v_ap1;                 /* axes position in view coordinates */
     point_t v_ap2;                 /* axes position in view coordinates */
@@ -133,7 +133,7 @@
 
 
 void
-draw_m_axes()
+draw_m_axes(void)
 {
     point_t m_ap;			/* axes position in model coordinates, mm */
     point_t v_ap;			/* axes position in view coordinates */
@@ -154,7 +154,7 @@
 
 
 void
-draw_v_axes()
+draw_v_axes(void)
 {
     point_t v_ap;			/* axes position in view coordinates */
     struct ged_axes_state gas;
Index: src/libfb/if_X24.c
===================================================================
--- src/libfb/if_X24.c	(revision 54168)
+++ src/libfb/if_X24.c	(working copy)
@@ -2418,7 +2418,7 @@
  * X 2 4 _ Z A P M E M
  */
 HIDDEN void
-X24_zapmem()
+X24_zapmem(void)
 {
 #ifndef HAVE_SYS_MMAN_H
     int shmid;
Index: src/libtclcad/tclcad_obj.c
===================================================================
--- src/libtclcad/tclcad_obj.c	(revision 54168)
+++ src/libtclcad/tclcad_obj.c	(working copy)
@@ -846,7 +846,7 @@
 
 /* Utility Functions */
 HIDDEN int to_close_fbs(struct ged_dm_view *gdvp);
-HIDDEN void to_fbs_callback();
+HIDDEN void to_fbs_callback(genptr_t clientData);
 HIDDEN int to_open_fbs(struct ged_dm_view *gdvp, Tcl_Interp *interp);
 
 HIDDEN void to_create_vlist_callback(struct solid *sp);
Index: src/rt/viewarea.c
===================================================================
--- src/rt/viewarea.c	(revision 54168)
+++ src/rt/viewarea.c	(working copy)
@@ -652,7 +652,7 @@
  * ray hits across all regions.
  */
 static double
-set_factor() {
+set_factor(void) {
 if (ZERO(units - 1.0))
 	return bu_units_conversion("m");
     else if (ZERO(units - 10.0))
@@ -1213,7 +1213,7 @@
 /* stubs */
 void view_setup(struct rt_i *UNUSED(rtip)) {}
 void view_cleanup(struct rt_i *UNUSED(rtip)) {}
-void application_init () {}
+void application_init (void) {}
 
 
 /*
Index: src/rt/view_bot_faces.c
===================================================================
--- src/rt/view_bot_faces.c	(revision 54168)
+++ src/rt/view_bot_faces.c	(working copy)
@@ -311,7 +311,7 @@
 void view_cleanup(struct rt_i *UNUSED(rtip))
 {
 }
-void application_init()
+void application_init(void)
 {
 }
 
Index: src/rt/main.c
===================================================================
--- src/rt/main.c	(revision 54168)
+++ src/rt/main.c	(working copy)
@@ -50,7 +50,7 @@
 #include "brlcad_version.h"
 
 
-extern void application_init();
+extern void application_init(void);
 
 extern const char title[];
 
Index: src/rt/rtscale.c
===================================================================
--- src/rt/rtscale.c	(revision 54168)
+++ src/rt/rtscale.c	(working copy)
@@ -77,7 +77,7 @@
 int	read_rt_file(FILE *infp, char *name, fastf_t *model2view);
 int	drawscale(FILE *outfp, fastf_t *startpt, fastf_t len, fastf_t hgt, fastf_t *lenv, fastf_t *hgtv, fastf_t *inv_hgtv);
 int	drawticks(FILE *outfp, fastf_t *centerpt, fastf_t *hgtv, fastf_t hgt, fastf_t *inv_hgtv);
-int	overlay();
+int	overlay(void);
 void	make_border(FILE *outfp, fastf_t *v2mod);
 void	make_bounding_rpp(FILE *outfp, fastf_t *v2mod);
 
Index: src/libbn/plot3.c
===================================================================
--- src/libbn/plot3.c	(revision 54168)
+++ src/libbn/plot3.c	(working copy)
@@ -83,7 +83,7 @@
  */
 
 int
-pl_getOutputMode() {
+pl_getOutputMode(void) {
     return pl_outputMode;
 }
 
Index: src/libbn/randmt.c
===================================================================
--- src/libbn/randmt.c	(revision 54168)
+++ src/libbn/randmt.c	(working copy)
@@ -61,7 +61,7 @@
 static struct _internal_state_s global_state = { MERSENNE_MAGIC, N+1, {0} };
 
 void *
-bn_randmt_state_create()
+bn_randmt_state_create(void)
 {
     struct _internal_state_s *is;
 
@@ -147,7 +147,7 @@
     bn_randmt_state_seed(&global_state, (uint32_t)seed);
 }
 
-double bn_randmt()
+double bn_randmt(void)
 {
     return bn_randmt_state(&global_state);
 }
Index: src/libbn/vert_tree.c
===================================================================
--- src/libbn/vert_tree.c	(revision 54168)
+++ src/libbn/vert_tree.c	(working copy)
@@ -74,7 +74,7 @@
 
 
 struct vert_root *
-create_vert_tree()
+create_vert_tree(void)
 {
     struct vert_root *tree;
 
@@ -90,7 +90,7 @@
 }
 
 struct vert_root *
-create_vert_tree_w_norms()
+create_vert_tree_w_norms(void)
 {
     struct vert_root *tree;
 
Index: src/libbn/ulp.c
===================================================================
--- src/libbn/ulp.c	(revision 54168)
+++ src/libbn/ulp.c	(working copy)
@@ -49,7 +49,7 @@
 /* #define HAVE_IEEE754 1 */
 
 double
-bn_epsilon()
+bn_epsilon(void)
 {
 #if defined(DBL_EPSILON)
     return DBL_EPSILON;
@@ -69,7 +69,7 @@
 
 
 float
-bn_epsilonf()
+bn_epsilonf(void)
 {
 #if defined(FLT_EPSILON)
     return FLT_EPSILON;
@@ -89,7 +89,7 @@
 
 
 double
-bn_dbl_min()
+bn_dbl_min(void)
 {
     long long val = (1LL<<52);
     return *(double *)&val;
@@ -97,7 +97,7 @@
 
 
 double
-bn_dbl_max()
+bn_dbl_max(void)
 {
 #if defined(DBL_MAX)
 	return DBL_MAX;
@@ -112,7 +112,7 @@
 
 
 double
-bn_flt_min()
+bn_flt_min(void)
 {
     long val = (1LL<<23);
     return *(float *)&val;
@@ -120,7 +120,7 @@
 
 
 double
-bn_flt_max()
+bn_flt_max(void)
 {
 #if defined(FLT_MAX)
 	return FLT_MAX;
@@ -135,28 +135,28 @@
 
 
 double
-bn_flt_min_sqrt()
+bn_flt_min_sqrt(void)
 {
     return sqrt(bn_flt_min());
 }
 
 
 double
-bn_flt_max_sqrt()
+bn_flt_max_sqrt(void)
 {
     return sqrt(bn_flt_max());
 }
 
 
 double
-bn_dbl_min_sqrt()
+bn_dbl_min_sqrt(void)
 {
     return sqrt(bn_dbl_min());
 }
 
 
 double
-bn_dbl_max_sqrt()
+bn_dbl_max_sqrt(void)
 {
     return sqrt(bn_dbl_max());
 }
Index: src/lgt/do_options.c
===================================================================
--- src/lgt/do_options.c	(revision 54168)
+++ src/lgt/do_options.c	(working copy)
@@ -85,26 +85,26 @@
 static int f_Nop(char **ar);		/* default */
 static int f_Exec_Shell(char **args);	/* ! */
 static int f_Comment(char **ar);		/* # */
-static int f_Menu();			/* ? */
+static int f_Menu(void);			/* ? */
 static int f_Buffer(char **args);		/* . */
-static int f_Anti_Aliasing();		/* A */
-static int f_Batch();			/* B */
-static int f_Cursor_Module();		/* C */
+static int f_Anti_Aliasing(char **args);	/* A */
+static int f_Batch(void);			/* B */
+static int f_Cursor_Module(void);		/* C */
 static int f_Display_Origin(char **args);	/* D */
-static int f_Fbclear();			/* E */
-static int f_Animate();			/* F */
+static int f_Fbclear(void);			/* E */
+static int f_Animate(void);			/* F */
 static int f_GridConfig(char **args);	/* G */
 static int f_Wrt_Fb(char **args);		/* H */
 static int f_Rd_Raw_IR(char **args);	/* I */
-static int f_Movie();			/* J */
+static int f_Movie(void);			/* J */
 static int f_Max_Bounce(char **args);	/* K */
 static int f_Entr_Lgt_Db(char **args);	/* L */
 static int f_Entr_Mat_Db(char **args);	/* M */
 static int f_Set_IR_Paint(char **args);	/* N */
 static int f_Err_File(char **args);	/* O */
-static int f_Prnt_Regions();		/* P */
-static int f_Set_Region_IR();		/* Q */
-static int f_Raytrace();			/* R */
+static int f_Prnt_Regions(void);		/* P */
+static int f_Set_Region_IR(void);		/* Q */
+static int f_Raytrace(void);			/* R */
 static int f_Script(char **args);		/* S */
 static int f_SetFbSize(char **args);	/* T */
 static int f_Wrt_IR_Db(char **args);	/* U */
@@ -118,7 +118,7 @@
 static int f_IR_Offset(char **args);	/* d */
 static int f_Debug(char **args);		/* e */
 static int f_Dist_Grid(char **args);	/* f */
-static int f_Scale_Grid();			/* g */
+static int f_Scale_Grid(void);			/* g */
 static int f_Rd_Fb(char **args);		/* h */
 static int f_IR_Noise(char **args);	/* i */
 static int f_Key_Frame(char **args);	/* j */
@@ -128,8 +128,8 @@
 static int f_Parallel(char **args);	/* n */
 static int f_Raster_File(char **args);	/* o */
 static int f_Perspective(char **args);	/* p */
-static int f_Quit();			/* q */
-static int f_Redraw();			/* r */
+static int f_Quit(void);			/* q */
+static int f_Redraw(void);			/* r */
 static int f_IRmodule(char **args);	/* s */
 static int f_Grid_Translate(char **args);	/* t */
 static int f_Rd_IR_Db(char **args);	/* u */
@@ -441,7 +441,7 @@
 
 /*ARGSUSED*/
 static int
-f_Menu()
+f_Menu(void)
 {
     prnt_Menu();
     return 1;
@@ -489,7 +489,7 @@
 
 /*ARGSUSED*/
 static int
-f_Raytrace()
+f_Raytrace(void)
 {
     if (rt_g.rtg_parallel)
 	bu_log("Will use %d processors.\n", npsw);
@@ -682,7 +682,7 @@
 /* f _ B a t c h () */
 /*ARGSUSED*/
 static int
-f_Batch()
+f_Batch(void)
 {
     static char *batch_com[8];
     char script[MAXPATHLEN];
@@ -809,7 +809,7 @@
 
 
 void
-setGridSize()
+setGridSize(void)
 {
     char buf[10];
     char *ar[3];
@@ -861,7 +861,7 @@
 /* f_Cursor_Module() */
 /*ARGSUSED*/
 static int
-f_Cursor_Module()
+f_Cursor_Module(void)
 {
     static int x = -1, y = -1;
     int c;
@@ -1190,7 +1190,7 @@
 /* f _ A n i m a t e () */
 /*ARGSUSED*/
 static int
-f_Animate()
+f_Animate(void)
 {
     (void) sprintf(prompt, "Full-screen animation ? [y|n](%c) ", movie.m_fullscreen ? 'y' : 'n');
     if (get_Input(input_ln, MAX_LN, prompt) != NULL)
@@ -1647,7 +1647,7 @@
 /* f _ M o v i e () */
 /*ARGSUSED*/
 static int
-f_Movie()
+f_Movie(void)
 {
     int ret = TRUE;
     char buf[10];
@@ -1887,7 +1887,7 @@
 /* f _ P r n t _ R e g i o n s ()  */
 /*ARGSUSED*/
 static int
-f_Prnt_Regions()
+f_Prnt_Regions(void)
 {
     prnt_Trie(reg_triep, 0);
     if (popups)
@@ -1899,7 +1899,7 @@
 /* f _ S e t _ R e g i o n _ I R () */
 /*ARGSUSED*/
 static int
-f_Set_Region_IR()
+f_Set_Region_IR(void)
 {
     OcList *ocp;
     OcList *oclist;
@@ -2495,7 +2495,7 @@
 /* f _ S c a l e _ G r i d () */
 /*ARGSUSED*/
 static int
-f_Scale_Grid()
+f_Scale_Grid(void)
 {
     bu_log("The -g option is obsolete, use -G to set view size.\n");
     return 1;
@@ -2778,7 +2778,7 @@
 /* f _ Q u i t () */
 /*ARGSUSED*/
 static int
-f_Quit()
+f_Quit(void)
 {
     exit_Neatly(0);
     /*NOTREACHED*/
@@ -2789,7 +2789,7 @@
 /* f _ R e d r a w () */
 /*ARGSUSED*/
 static int
-f_Redraw()
+f_Redraw(void)
 {
     if (tty) {
 	(void) ClrText();
@@ -2882,7 +2882,7 @@
 /* f _ F b c l e a r () */
 /*ARGSUSED*/
 static int
-f_Fbclear()
+f_Fbclear(void)
 {
     static RGBpixel black = { 0, 0, 0 };
     if (! ready_Output_Device(0))
Index: src/libdm/dm-generic.c
===================================================================
--- src/libdm/dm-generic.c	(revision 54168)
+++ src/libdm/dm-generic.c	(working copy)
@@ -42,12 +42,12 @@
 
 #ifdef DM_X
 #  if defined(HAVE_TK)
-extern struct dm *X_open_dm();
+extern struct dm *X_open_dm(Tcl_Interp *interp, int argc, const char *argv[]);
 #  endif
 #endif /* DM_X */
 
 #ifdef DM_TK
-extern struct dm *tk_open_dm();
+extern struct dm *tk_open_dm(Tcl_Interp *interp, int argc, const char *argv[]);
 #endif /* DM_TK */
 
 #ifdef DM_OGL
Index: src/libdm/focus.c
===================================================================
--- src/libdm/focus.c	(revision 54168)
+++ src/libdm/focus.c	(working copy)
@@ -43,7 +43,7 @@
 
 #ifdef DM_X
 static void
-dm_x11_applicationfocus() {
+dm_x11_applicationfocus(void) {
 #ifdef HAVE_CARBON_CARBON_H
     OSStatus status;
     ProcessSerialNumber psn = {kNoProcess, kNoProcess};
Index: src/libdm/tcl.c
===================================================================
--- src/libdm/tcl.c	(revision 54168)
+++ src/libdm/tcl.c	(working copy)
@@ -38,8 +38,8 @@
 
 
 /* from libdm/query.c */
 extern int dm_validXType();
-extern char *dm_bestXType();
+extern char *dm_bestXType(char *dpy_string);
 
 /* from libdm/dm_obj.c */
 extern int Dmo_Init(Tcl_Interp *interp);
Index: src/libbu/units.c
===================================================================
--- src/libbu/units.c	(revision 54168)
+++ src/libbu/units.c	(working copy)
@@ -284,7 +284,7 @@
 }
 
 struct bu_vls *
-bu_units_strings_vls()
+bu_units_strings_vls(void)
 {
     register const struct cvt_tab *tp;
     struct bu_vls *vlsp;
Index: src/libbu/progname.c
===================================================================
--- src/libbu/progname.c	(revision 54168)
+++ src/libbu/progname.c	(working copy)
@@ -43,7 +43,7 @@
  * be acquired/set.
  */
 HIDDEN const char *
-progname_ipwd()
+progname_ipwd(void)
 {
     /* private stash */
     static const char *ipwd = NULL;
Index: src/libbu/process.c
===================================================================
--- src/libbu/process.c	(revision 54168)
+++ src/libbu/process.c	(working copy)
@@ -29,7 +29,7 @@
 
 
 int
-bu_process_id()
+bu_process_id(void)
 {
 #ifdef HAVE_UNISTD_H
     return getpid();
Index: src/libbu/rb_search.c
===================================================================
--- src/libbu/rb_search.c	(revision 54168)
+++ src/libbu/rb_search.c	(working copy)
@@ -69,7 +69,7 @@
 void *bu_rb_search (struct bu_rb_tree *tree, int order, void *data)
 {
 
-    int (*compare)();
+    int (*compare)(void);
     struct bu_rb_node *node;
 
     BU_CKMAG(tree, BU_RB_TREE_MAGIC, "red-black tree");
Index: src/libbu/interrupt.c
===================================================================
--- src/libbu/interrupt.c	(revision 54168)
+++ src/libbu/interrupt.c	(working copy)
@@ -163,7 +163,7 @@
 
 
 int
-bu_suspend_interrupts()
+bu_suspend_interrupts(void)
 {
     int ret = 0;
 
@@ -189,7 +189,7 @@
 
 
 int
-bu_restore_interrupts()
+bu_restore_interrupts(void)
 {
     int ret = 0;
 
Index: src/libbu/brlcad_path.c
===================================================================
--- src/libbu/brlcad_path.c	(revision 54168)
+++ src/libbu/brlcad_path.c	(working copy)
@@ -46,7 +46,7 @@
 
 
 HIDDEN const char *
-_brlcad_data()
+_brlcad_data(void)
 {
     static char path[MAXPATHLEN] = {0};
 #ifndef BRLCAD_DATA
Index: src/libbu/malloc.c
===================================================================
--- src/libbu/malloc.c	(revision 54168)
+++ src/libbu/malloc.c	(working copy)
@@ -168,7 +168,7 @@
 }
 
 
-extern int bu_bomb_failsafe_init();
+extern int bu_bomb_failsafe_init(void);
 
 /**
  * This routine only returns on successful allocation.  We promise
Index: src/libbu/tests/bu_vls_vprintf.c
===================================================================
--- src/libbu/tests/bu_vls_vprintf.c	(revision 54168)
+++ src/libbu/tests/bu_vls_vprintf.c	(working copy)
@@ -68,7 +68,7 @@
 
 
 int
-check_format_chars()
+check_format_chars(void)
 {
   int status = 0; /* assume okay */
   int i, flags;
Index: src/libbu/tests/bu_sscanf.c
===================================================================
--- src/libbu/tests/bu_sscanf.c	(revision 54168)
+++ src/libbu/tests/bu_sscanf.c	(working copy)
@@ -304,7 +304,7 @@
 #define LARGE_FLT 1.0e+37
 
 static void
-doNumericTests()
+doNumericTests(void)
 {
 #define TEST_SIGNED_CONSTANT(str, fmt) \
     test_sscanf(SCAN_SHORTSHORT, str, "%hh" bu_cpp_str(fmt)); \
@@ -422,7 +422,7 @@
 }
 
 static void
-doStringTests()
+doStringTests(void)
 {
     int bu_ret;
     char buf[TS_STR_SIZE];
@@ -488,7 +488,7 @@
 }
 
 static void
-doPointerTests()
+doPointerTests(void)
 {
     test_sscanf(SCAN_POINTER, "0", "%p");
     test_sscanf(SCAN_POINTER, bu_cpp_xstr(UNSIGNED_L_HEX), "%p");
@@ -533,7 +533,7 @@
 }
 
 static void
-doNonConversionTests()
+doNonConversionTests(void)
 {
     /* %n - don't convert/assign, but do store consumed char count */
     test_sscanf_noconv(". \tg\t\tn i    RTSA si sihT", ". g n i RTSA%n");
@@ -590,7 +590,7 @@
 }
 
 static void
-doWidthTests()
+doWidthTests(void)
 {
     int i;
     int ret, bu_ret;
@@ -649,7 +649,7 @@
 }
 
 static void
-doErrorTests()
+doErrorTests(void)
 {
     int i, ret, bu_ret;
 
@@ -736,7 +736,7 @@
 }
 
 static void
-doVlsTests()
+doVlsTests(void)
 {
     int bu_ret;
     struct bu_vls vls = BU_VLS_INIT_ZERO;
Index: src/libbu/simd.c
===================================================================
--- src/libbu/simd.c	(revision 54168)
+++ src/libbu/simd.c	(working copy)
@@ -22,7 +22,7 @@
 #include "bu.h"
 
 int
-bu_simd_level()
+bu_simd_level(void)
 {
 #if defined(__GNUC__) && defined(__SSE__)
     int c=0, d=0;
Index: src/libbu/bitv.c
===================================================================
--- src/libbu/bitv.c	(revision 54168)
+++ src/libbu/bitv.c	(working copy)
@@ -72,7 +72,7 @@
  * BU_BITV_SHIFT macro instead.
  */
 inline unsigned int
-bu_bitv_shift()
+bu_bitv_shift(void)
 {
     size_t x = sizeof(bitv_t) * 8;
 
Index: src/libbu/log.c
===================================================================
--- src/libbu/log.c	(revision 54168)
+++ src/libbu/log.c	(working copy)
@@ -95,7 +95,7 @@
 
 
 void
-bu_log_hook_delete_all()
+bu_log_hook_delete_all(void)
 {
     bu_hook_delete_all(&log_hook_list);
 }
Index: src/burst/trie.c
===================================================================
--- src/burst/trie.c	(revision 54168)
+++ src/burst/trie.c	(working copy)
@@ -36,7 +36,7 @@
 #include "./extern.h"
 
 
-static Func *matchTrie();
+static Func *matchTrie(Trie *triep);
 
 /*
   Trie *addTrie(char *name, Trie **triepp)
@@ -214,7 +214,7 @@
 
 
 void
-ring_Bell()
+ring_Bell(void)
 {
     (void) putchar(BEL);
     return;
Index: src/burst/Hm.c
===================================================================
--- src/burst/Hm.c	(revision 54168)
+++ src/burst/Hm.c	(working copy)
@@ -148,7 +148,7 @@
 	(void) ErLog("\t\t\tbfn=0x%x\n", itemp->bfn);
 	(void) ErLog("\t\t\thfn=0x%x\n", itemp->hfn);
 	(void) ErLog("\t\t\tdata=%d\n", itemp->data);
-	(void) ErLog("\t\t\t----\n");
+	(void) ErLog("\t\t\t\n");
     }
     (void) ErLog("\t\t\ttext=0x%x\n", itemp->text);
     return;
Index: src/burst/paint.c
===================================================================
--- src/burst/paint.c	(revision 54168)
+++ src/burst/paint.c	(working copy)
@@ -62,7 +62,7 @@
 
 
 void
-paintGridFb()
+paintGridFb(void)
 {
     int fx, fy;
     int fxbeg, fybeg;
Index: src/burst/ui.c
===================================================================
--- src/burst/ui.c	(revision 54168)
+++ src/burst/ui.c	(working copy)
@@ -93,62 +93,13 @@
 			cmdptr = NULL;\
 		}\
 	}
-
+typedef struct ftable Ftable;
 typedef struct {
     char *prompt;
     char buffer[LNBUFSZ];
     char *fmt;
     char *range;
 } Input;
-
-/* local menu functions, names all start with M */
-static void MattackDir();
-static void MautoBurst();
-static void MburstArmor();
-static void MburstAir();
-static void MburstDist();
-static void MburstFile();
-static void McellSize();
-static void McolorFile();
-static void Mcomment();
-static void MconeHalfAngle();
-static void McritComp();
-static void MdeflectSpallCone();
-static void Mdither();
-static void MenclosePortion();
-static void MencloseTarget();
-static void MerrorFile();
-static void Mexecute();
-static void MfbFile();
-static void MgedFile();
-static void MgridFile();
-static void MgroundPlane();
-static void MhistFile();
-static void Minput2dShot();
-static void Minput3dShot();
-static void MinputBurst();
-static void MmaxBarriers();
-static void MmaxSpallRays();
-static void Mnop();
-static void Mobjects();
-static void Moverlaps();
-static void MplotFile();
-static void Mread2dShotFile();
-static void Mread3dShotFile();
-static void MreadBurstFile();
-static void MreadCmdFile();
-static void MshotlineFile();
-static void Munits();
-static void MwriteCmdFile();
-
-/* local utility functions */
-static HmMenu *addMenu();
-static int getInput();
-static int unitStrToInt();
-static void addItem();
-static void banner();
-
-typedef struct ftable Ftable;
 struct ftable
 {
     char *name;
@@ -157,7 +108,53 @@
     Func *func;
 };
 
+/* local menu functions, names all start with M */
+static void MattackDir(HmItem *itemp);
+static void MautoBurst(HmItem *itemp);
+static void MburstArmor(HmItem *itemp);
+static void MburstAir(HmItem *itemp);
+static void MburstDist(HmItem *itemp);
+static void MburstFile(HmItem *itemp);
+static void McellSize(HmItem *itemp);
+static void McolorFile(HmItem *itemp);
+static void Mcomment(HmItem *itemp);
+static void MconeHalfAngle(HmItem *itemp);
+static void McritComp(HmItem *itemp);
+static void MdeflectSpallCone(HmItem *itemp);
+static void Mdither(HmItem *itemp);
+static void MenclosePortion(HmItem *itemp);
+static void MencloseTarget(HmItem *itemp);
+static void MerrorFile(HmItem *itemp);
+static void Mexecute(HmItem *itemp);
+static void MfbFile(HmItem *itemp);
+static void MgedFile(HmItem *itemp);
+static void MgridFile(HmItem *itemp);
+static void MgroundPlane(HmItem *itemp);
+static void MhistFile(HmItem *itemp);
+static void Minput2dShot(HmItem *itemp);
+static void Minput3dShot(HmItem *itemp);
+static void MinputBurst(HmItem *itemp);
+static void MmaxBarriers(HmItem *itemp);
+static void MmaxSpallRays(HmItem *itemp);
+static void Mnop(HmItem *itemp);
+static void Mobjects(HmItem *itemp);
+static void Moverlaps(HmItem *itemp);
+static void MplotFile(HmItem *itemp);
+static void Mread2dShotFile(HmItem *itemp);
+static void Mread3dShotFile(HmItem *itemp);
+static void MreadBurstFile(HmItem *itemp);
+static void MreadCmdFile(HmItem *itemp);
+static void MshotlineFile(HmItem *itemp);
+static void Munits(HmItem *itemp);
+static void MwriteCmdFile(HmItem *itemp);
 
+/* local utility functions */
+static HmMenu *addMenu(Ftable *tp);
+static int getInput(Input *ip);
+static int unitStrToInt(char *str);
+static void addItem(Ftable *tp, HmItem *itemp);
+static void banner(void);
+
 Ftable shot2dmenu[] =
 {
     { "read-2d-shot-file",
@@ -425,7 +422,7 @@
   to border the top of the scrolling region.
 */
 static void
-banner()
+banner(void)
 {
     (void) snprintf(scrbuf, LNBUFSZ, "%s", bannerp);
     HmBanner(scrbuf, BORDER_CHR);
@@ -434,7 +431,7 @@
 
 
 void
-closeUi()
+closeUi(void)
 {
     ScMvCursor(1, ScLI);
     return;
@@ -507,7 +504,7 @@
 
 
 int
-initUi()
+initUi(void)
 {
     if (tty) {
 	if (! ScInit(stdout))
Index: src/burst/plot.c
===================================================================
--- src/burst/plot.c	(revision 54168)
+++ src/burst/plot.c	(working copy)
@@ -38,7 +38,7 @@
 #include "./extern.h"
 
 void
-plotInit()
+plotInit(void)
 {
     int x_1, y_1, z_1, x_2, y_2, z_2;
     if (plotfp == NULL)
Index: src/burst/prnt.c
===================================================================
--- src/burst/prnt.c	(revision 54168)
+++ src/burst/prnt.c	(working copy)
@@ -187,7 +187,7 @@
   Ref. Figure 20., Line Number 1 and Figure 19., Line Number 1 of ICD.
 */
 void
-prntAspectInit()
+prntAspectInit(void)
 {
     fastf_t projarea;	/* projected area */
     /* Convert to user units before squaring cell size. */
@@ -896,7 +896,7 @@
     NULL
 };
 void
-prntUsage()
+prntUsage(void)
 {
     char **p = usage;
     while (*p != NULL)
Index: src/burst/grid.c
===================================================================
--- src/burst/grid.c	(revision 54168)
+++ src/burst/grid.c	(working copy)
@@ -65,22 +65,22 @@
 static struct application ag;	/* global application structure (zeroed out) */
 
 /* functions local to this module */
-static int doBursts();
-static int burstPoint();
-static int burstRay();
-static int gridShot();
-static int f_BurstHit();
-static int f_BurstMiss();
-static int f_HushOverlap();
-static int f_Overlap();
-static int f_ShotHit();
-static int f_ShotMiss();
-static int getRayOrigin();
-static int readBurst();
-static int readShot();
-static void lgtModel();
-static void view_end();
-static void view_pix();
+static int doBursts(void);
+static int burstPoint(struct application *ap, fastf_t *normal, fastf_t *bpt);
+static int burstRay(void);
+static int gridShot(void);
+static int f_BurstHit(struct application *ap, struct partition *pt_headp, struct seg *UNUSED(segp));
+static int f_BurstMiss(struct application *ap);
+static int f_HushOverlap(struct application *UNUSED(ap), struct partition *pp, struct region *reg1, struct region *reg2, struct partition *pheadp);
+static int f_Overlap(struct application *ap, struct partition *pp, struct region *reg1, struct region *reg2, struct partition *pheadp);
+static int f_ShotHit(struct application *ap, struct partition *pt_headp, struct seg *UNUSED(segp));
+static int f_ShotMiss(struct application *ap);
+static int getRayOrigin(struct application *ap);
+static int readBurst(fastf_t *vec);
+static int readShot(fastf_t *vec);
+static void lgtModel(struct application *ap, struct partition *pp, struct hit *hitp, struct xray *UNUSED(rayp), fastf_t surfnorm[3]);
+static void view_end(void);
+static void view_pix(struct application *ap);
 
 /*
   void colorPartition(struct region *regp, int type)
@@ -147,7 +147,7 @@
   burst point coordinates.
 */
 static int
-doBursts()
+doBursts(void)
 {
     int			status = 1;
     noverlaps = 0;
@@ -981,7 +981,7 @@
   Grid initialization routine; must be done once per view.
 */
 void
-gridInit()
+gridInit(void)
 {
     notify("Initializing grid", NOTIFY_APPEND);
     rt_prep_timer();
@@ -1198,7 +1198,7 @@
   This routine dispatches the top-level ray tracing task.
 */
 void
-gridModel()
+gridModel(void)
 {
     ag.a_onehit = 0;
     ag.a_overlap = reportoverlaps ? f_Overlap : f_HushOverlap;
@@ -1254,7 +1254,7 @@
   error or EOF in getting the next set of firing coordinates.
 */
 static int
-gridShot()
+gridShot(void)
 {
     int status = 1;
     struct application a;
@@ -1461,7 +1461,7 @@
   distribution algorithm from the number requested.
 */
 void
-spallInit()
+spallInit(void)
 {
     fastf_t	theta;	 /* solid angle of spall sampling cone */
     fastf_t phi;	 /* angle between ray and cone axis */
@@ -1581,7 +1581,7 @@
 
 
 static int
-burstRay()
+burstRay(void)
 {
     /* Need local copy of all but readonly variables for concurrent
        threads of execution. */
@@ -1643,7 +1643,7 @@
 
 
 void
-abort_RT(int UNUSED(sig))
+abort_RT(void)
 {
     (void) signal(SIGINT, abort_RT);
     userinterrupt = 1;
@@ -1667,7 +1667,7 @@
 
 /*	v i e w _ e n d () */
 static void
-view_end()
+view_end(void)
 {
     if (gridfile[0] != NUL)
 	(void) fflush(gridfp);
Index: src/burst/fb.c
===================================================================
--- src/burst/fb.c	(revision 54168)
+++ src/burst/fb.c	(working copy)
@@ -38,7 +38,7 @@
 
 
 int
-imageInit()
+imageInit(void)
 {
     int needopen = 0;
     static char lastfbfile[LNBUFSZ]={0}; /* last fbfile */
@@ -124,7 +124,7 @@
 
 
 int
-closFbDevice()
+closFbDevice(void)
 {
     int ret;
     notify("Closing frame buffer", NOTIFY_APPEND);
Index: src/fbed/fbed.c
===================================================================
--- src/fbed/fbed.c	(revision 54168)
+++ src/fbed/fbed.c	(working copy)
@@ -102,7 +102,7 @@
 static int pointpicked;
 static int tolerance = 0;
 
-HIDDEN RGBpixel *pixel_Avg();
+HIDDEN RGBpixel *pixel_Avg(RGBpixel *p1, RGBpixel *p2, RGBpixel *p3, RGBpixel *p4);
 HIDDEN int drawRect2D(Rect2D *rectp, unsigned char *pixelp);
 HIDDEN int getColor(unsigned char *pixelp, char *prompt, char *buffer);
 HIDDEN int paintNonBorder(unsigned char *borderpix, Point *pt);
@@ -125,68 +125,68 @@
 HIDDEN void put_Fb_Panel(Rect2D *, RGBpixel *);
 
 HIDDEN int
-    /* ^X  */ f_Exec_Function(),
-    /* ^I  */ f_Nop(),
-    /* ^H  */ f_Win_Lft(),
-    /* ^J  */ f_Win_Dwn(),
-    /* ^K  */ f_Win_Up(),
-    /* ^L  */ f_Win_Rgt(),
-    /* ^M  */ f_Reset_View(),
-    /* ^R  */ f_Redraw(),
-    /* ^Z  */ f_Stop(),
-    /* ESC */ f_Iterations(),
-    /* SP  */ f_Press(),
-    /* #   */ f_Comment(),
-    /* ,   */ f_Dec_Brush_Size(),
-    /* .   */ f_Inc_Brush_Size(),
-    /* <   */ f_Dec_Step_Size(),
-    /* >   */ f_Inc_Step_Size(),
-    /* ?   */ f_Menu(),
-    /* A   */ f_Start_Macro(),
-    /* B   */ f_Bind_Macro_To_Key(),
-    /* C   */ f_Crunch_Image(),
-    /* E   */ f_Erase_Fb(),
-    /* F   */ f_Flip_Resolution(),
-    /* G   */ f_Get_Panel(),
-    /* H   */ f_Jump_Lft(),
-    /* J   */ f_Jump_Dwn(),
-    /* K   */ f_Jump_Up(),
-    /* L   */ f_Jump_Rgt(),
-    /* N   */ f_Name_Keyboard_Macro(),
-    /* P   */ f_Put_Panel(),
-    /* R   */ f_Restore_RLE(),
-    /* S   */ f_Save_RLE(),
-    /* T   */ f_Transliterate(),
-    /* U   */ f_Write_Macros_To_File(),
-    /* V   */ f_FillRegion(),
-    /* W   */ f_Fill_Panel(),
-    /* X   */ f_Bind_Key_To_Key(),
-    /* Y   */ f_Bind_Name_To_Key(),
-    /* Z   */ f_Stop_Macro(),
-    /* a   */ f_Enter_Macro_Definition(),
-    /* b   */ f_Set_Rect2D(),
-    /* c   */ f_Center_Window(),
-    /* d   */ f_DrawLine(),
-    /* f   */ f_Rd_Font(),
-    /* g   */ f_Set_Pixel(),
-    /* h   */ f_Move_Lft(),
-    /* i   */ f_Zoom_In(),
-    /* j   */ f_Move_Dwn(),
-    /* k   */ f_Move_Up(),
-    /* l   */ f_Move_Rgt(),
-    /* m   */ f_Status_Monitor(),
-    /* n   */ f_Tolerance(),
-    /* o   */ f_Zoom_Out(),
-    /* p   */ f_Key_Set_Pixel(),
-    /* q   */ f_Quit(),
-    /* r   */ f_Rd_Fb(),
-    /* s   */ f_String(),
-    /* t   */ f_ChngRegionColor(),
+    /* ^X  */ f_Exec_Function(void),
+    /* ^I  */ f_Nop(void),
+    /* ^H  */ f_Win_Lft(void),
+    /* ^J  */ f_Win_Dwn(void),
+    /* ^K  */ f_Win_Up(void),
+    /* ^L  */ f_Win_Rgt(void),
+    /* ^M  */ f_Reset_View(void),
+    /* ^R  */ f_Redraw(void),
+    /* ^Z  */ f_Stop(void),
+    /* ESC */ f_Iterations(void),
+    /* SP  */ f_Press(void),
+    /* #   */ f_Comment(void),
+    /* ,   */ f_Dec_Brush_Size(void),
+    /* .   */ f_Inc_Brush_Size(void),
+    /* <   */ f_Dec_Step_Size(void),
+    /* >   */ f_Inc_Step_Size(void),
+    /* ?   */ f_Menu(void),
+    /* A   */ f_Start_Macro(void),
+    /* B   */ f_Bind_Macro_To_Key(void),
+    /* C   */ f_Crunch_Image(void),
+    /* E   */ f_Erase_Fb(void),
+    /* F   */ f_Flip_Resolution(void),
+    /* G   */ f_Get_Panel(void),
+    /* H   */ f_Jump_Lft(void),
+    /* J   */ f_Jump_Dwn(void),
+    /* K   */ f_Jump_Up(void),
+    /* L   */ f_Jump_Rgt(void),
+    /* N   */ f_Name_Keyboard_Macro(void),
+    /* P   */ f_Put_Panel(void),
+    /* R   */ f_Restore_RLE(void),
+    /* S   */ f_Save_RLE(void),
+    /* T   */ f_Transliterate(void),
+    /* U   */ f_Write_Macros_To_File(void),
+    /* V   */ f_FillRegion(void),
+    /* W   */ f_Fill_Panel(void),
+    /* X   */ f_Bind_Key_To_Key(void),
+    /* Y   */ f_Bind_Name_To_Key(void),
+    /* Z   */ f_Stop_Macro(void),
+    /* a   */ f_Enter_Macro_Definition(void),
+    /* b   */ f_Set_Rect2D(void),
+    /* c   */ f_Center_Window(void),
+    /* d   */ f_DrawLine(void),
+    /* f   */ f_Rd_Font(void),
+    /* g   */ f_Set_Pixel(void),
+    /* h   */ f_Move_Lft(void),
+    /* i   */ f_Zoom_In(void),
+    /* j   */ f_Move_Dwn(void),
+    /* k   */ f_Move_Up(void),
+    /* l   */ f_Move_Rgt(void),
+    /* m   */ f_Status_Monitor(void),
+    /* n   */ f_Tolerance(void),
+    /* o   */ f_Zoom_Out(void),
+    /* p   */ f_Key_Set_Pixel(void),
+    /* q   */ f_Quit(void),
+    /* r   */ f_Rd_Fb(void),
+    /* s   */ f_String(void),
+    /* t   */ f_ChngRegionColor(void),
     /* u   */ f_Rd_Macros_From_File(char *),
-    /* v   */ f_DrawRect2D(),
-    /* w   */ f_Put_Pixel(),
-    /* x   */ f_Set_X_Pos(),
-    /* y   */ f_Set_Y_Pos(),
+    /* v   */ f_DrawRect2D(void),
+    /* w   */ f_Put_Pixel(void),
+    /* x   */ f_Set_X_Pos(void),
+    /* y   */ f_Set_Y_Pos(void),
     /* Unbound */ f_Exec_Macro(char *);
 
 Func_Tab func_tab[] =
@@ -423,7 +423,7 @@
 		prnt_Status();
 	}
     }
-    (void) f_Quit( (char *) NULL );
+    (void) f_Quit();
     /*NOTREACHED*/
     return 0; /* shut up stupid compilers */
 }
@@ -636,7 +636,7 @@
 }
 
 HIDDEN int
-f_Tolerance()
+f_Tolerance(void)
 {
     static char tol_str[4];
     if ( ! get_Input( tol_str, 4, "Enter tolerance for color match : " ) )
@@ -648,7 +648,7 @@
 }
 
 HIDDEN int
-f_ChngRegionColor()
+f_ChngRegionColor(void)
 {
     static int xoff1[] = { 0, 1,  0, -1 };
     static int yoff1[] = { 1, 0, -1,  0 };
@@ -680,7 +680,7 @@
 }
 
 HIDDEN int
-f_FillRegion()
+f_FillRegion(void)
 {
     static int xoff1[] = { 0, 1,  0, -1 };
     static int yoff1[] = { 1, 0, -1,  0 };
@@ -711,7 +711,7 @@
 }
 
 HIDDEN int
-f_Nop()
+f_Nop(void)
 {
     fb_log( "Unbound(%s).\n", char_To_String( last_key ) );
     putchar( BEL );
@@ -719,7 +719,7 @@
 }
 
 HIDDEN int
-f_Win_Lft() /* Move window left. */
+f_Win_Lft(void) /* Move window left. */
 
 {
     windo_center.p_x += gain;
@@ -729,7 +729,7 @@
 }
 
 HIDDEN int
-f_Win_Dwn() /* Move window down. */
+f_Win_Dwn(void) /* Move window down. */
 
 {
     windo_center.p_y -= gain;
@@ -739,7 +739,7 @@
 }
 
 HIDDEN int
-f_Win_Up() /* Move window up. */
+f_Win_Up(void) /* Move window up. */
 
 {
     windo_center.p_y += gain;
@@ -749,7 +749,7 @@
 }
 
 HIDDEN int
-f_Win_Rgt() /* Move window right. */
+f_Win_Rgt(void) /* Move window right. */
 
 {
     windo_center.p_x -= gain;
@@ -759,7 +759,7 @@
 }
 
 HIDDEN int
-f_Reset_View() /* Restore normal view. */
+f_Reset_View(void) /* Restore normal view. */
 
 {
     cursor_pos.p_x = image_center.p_x;
@@ -771,7 +771,7 @@
 }
 
 HIDDEN int
-f_Redraw() /* Redraw screen. */
+f_Redraw(void) /* Redraw screen. */
 
 {
     init_Status();
@@ -780,7 +780,7 @@
 }
 
 HIDDEN int
-f_Stop() /* Stop program. */
+f_Stop(void) /* Stop program. */
 {
     int sig = 17;
     int pid = bu_process_id();
@@ -808,7 +808,7 @@
 }
 
 HIDDEN int
-f_Exec_Function()
+f_Exec_Function(void)
 {
     Func_Tab	*ftbl;
     static char name[MAX_LN];
@@ -826,7 +826,7 @@
 
 #define MAX_DIGITS	4
 HIDDEN int
-f_Iterations() /* Specify number of iterations of next command. */
+f_Iterations(void) /* Specify number of iterations of next command. */
 
 {
     char iterate_buf[MAX_DIGITS+1];
@@ -861,14 +861,14 @@
 }
 
 HIDDEN int
-f_Press()
+f_Press(void)
 {
     pointpicked = true;
     return 1;
 }
 
 HIDDEN int
-f_Comment() /* Print comment. */
+f_Comment(void) /* Print comment. */
 {
     static char comment[MAX_LN];
     if ( ! get_Input( comment, MAX_LN, "Enter comment : " ) )
@@ -878,7 +878,7 @@
 }
 
 HIDDEN int
-f_Dec_Brush_Size() /* Decrement brush size. */
+f_Dec_Brush_Size(void) /* Decrement brush size. */
 {
     if ( brush_sz > 0 )
 	brush_sz -= 2;
@@ -886,7 +886,7 @@
 }
 
 HIDDEN int
-f_Inc_Brush_Size() /* Increment brush size. */
+f_Inc_Brush_Size(void) /* Increment brush size. */
 {
     if ( brush_sz < size_viewport )
 	brush_sz += 2;
@@ -894,7 +894,7 @@
 }
 
 HIDDEN int
-f_Menu() /* Print menu. */
+f_Menu(void) /* Print menu. */
 {
     int lines = (PROMPT_LINE-BOTTOM_STATUS_AREA)-1;
     int done = false;
@@ -951,7 +951,7 @@
 }
 
 HIDDEN int
-f_Dec_Step_Size() /* Decrement gain on move operations. */
+f_Dec_Step_Size(void) /* Decrement gain on move operations. */
 {
     if ( gain > 1 )
 	gain--;
@@ -959,7 +959,7 @@
 }
 
 HIDDEN int
-f_Inc_Step_Size() /* Increment gain on move operations. */
+f_Inc_Step_Size(void) /* Increment gain on move operations. */
 {
     if ( gain < size_viewport )
 	gain++;
@@ -1012,7 +1012,7 @@
 }
 
 HIDDEN int
-f_Write_Macros_To_File()
+f_Write_Macros_To_File(void)
 {
     static char macro_file[MAX_LN];
     FILE	*macro_fp;
@@ -1077,7 +1077,7 @@
 }
 
 HIDDEN int
-f_Start_Macro()
+f_Start_Macro(void)
 {
     if ( remembering )
     {
@@ -1092,7 +1092,7 @@
 }
 
 HIDDEN int
-f_Bind_Macro_To_Key()
+f_Bind_Macro_To_Key(void)
 {
     char key[2];
     if ( macro_entry == FT_NULL )
@@ -1115,7 +1115,7 @@
 }
 
 HIDDEN int
-f_Name_Keyboard_Macro()
+f_Name_Keyboard_Macro(void)
 {
     static char macro_name[MAX_LN];
     if ( macro_entry == FT_NULL )
@@ -1136,7 +1136,7 @@
 }
 
 HIDDEN int
-f_Crunch_Image() /* Average image to half its size. */
+f_Crunch_Image(void) /* Average image to half its size. */
 
 {
     char answer[2];
@@ -1180,7 +1180,7 @@
 }
 
 HIDDEN int
-f_DrawLine()
+f_DrawLine(void)
 {
     Rect2D lineseg;
     int majdelta;
@@ -1257,20 +1257,20 @@
 }
 
 HIDDEN int
-f_DrawRect2D() /* Draw current rectangle with "paint" color. */
+f_DrawRect2D(void) /* Draw current rectangle with "paint" color. */
 {
     return drawRect2D( &current, (unsigned char *) paint ) ? 1 : 0;
 }
 
 HIDDEN int
-f_Fill_Panel() /* Fill current rectangle with "paint" color. */
+f_Fill_Panel(void) /* Fill current rectangle with "paint" color. */
 {
     fillRect2D( &current, (RGBpixel *) paint );
     return 1;
 }
 
 HIDDEN int
-f_Bind_Key_To_Key() /* Bind new key to same function as old key. */
+f_Bind_Key_To_Key(void) /* Bind new key to same function as old key. */
 {
     char old_key[2], new_key[2];
     if ( ! get_Input( new_key, 2, "Bind new key : " ) )
@@ -1290,7 +1290,7 @@
 }
 
 HIDDEN int
-f_Bind_Name_To_Key() /* Bind key to function or macro. */
+f_Bind_Name_To_Key(void) /* Bind key to function or macro. */
 {
     char key[2];
     static char name[MAX_LN];
@@ -1321,7 +1321,7 @@
 }
 
 HIDDEN int
-f_Erase_Fb() /* Erase (clear) framebuffer. */
+f_Erase_Fb(void) /* Erase (clear) framebuffer. */
 
 {
     char answer[2];
@@ -1336,7 +1336,7 @@
 }
 
 HIDDEN int
-f_Flip_Resolution() /* Flip framebuffer resolution. */
+f_Flip_Resolution(void) /* Flip framebuffer resolution. */
 
 {
     char answer[2];
@@ -1362,7 +1362,7 @@
 }
 
 HIDDEN int
-f_Get_Panel() /* Grab panel from framebuffer. */
+f_Get_Panel(void) /* Grab panel from framebuffer. */
 {
     if ( panel.n_buf != (RGBpixel *) NULL )
 	free( (char *) panel.n_buf );
@@ -1375,7 +1375,7 @@
 }
 
 HIDDEN int
-f_Jump_Lft() /* Move cursor left (big steps). */
+f_Jump_Lft(void) /* Move cursor left (big steps). */
 {
     if ( cursor_pos.p_x >= JUMP )
 	cursor_pos.p_x -= JUMP;
@@ -1386,7 +1386,7 @@
 }
 
 HIDDEN int
-f_Jump_Dwn() /* Move cursor down. */
+f_Jump_Dwn(void) /* Move cursor down. */
 {
     if ( cursor_pos.p_y >= JUMP )
 	cursor_pos.p_y -= JUMP;
@@ -1397,7 +1397,7 @@
 }
 
 HIDDEN int
-f_Jump_Up() /* Move cursor up. */
+f_Jump_Up(void) /* Move cursor up. */
 {
     if ( cursor_pos.p_y < fb_getheight(fbp) - JUMP )
 	cursor_pos.p_y += JUMP;
@@ -1408,7 +1408,7 @@
 }
 
 HIDDEN int
-f_Jump_Rgt() /* Move cursor right. */
+f_Jump_Rgt(void) /* Move cursor right. */
 {
     if ( cursor_pos.p_x <= fb_getwidth(fbp) - JUMP )
 	cursor_pos.p_x += JUMP;
@@ -1419,7 +1419,7 @@
 }
 
 HIDDEN int
-f_Put_Panel() /* Put grabbed panel to framebuffer. */
+f_Put_Panel(void) /* Put grabbed panel to framebuffer. */
 {
     if ( panel.n_buf == (RGBpixel *) NULL )
     {
@@ -1434,7 +1434,7 @@
 }
 
 HIDDEN int
-f_Restore_RLE() /* Restore Run-Length Encoded image. */
+f_Restore_RLE(void) /* Restore Run-Length Encoded image. */
 {
     static char rle_file_nm[MAX_LN];
     static FILE	*rle_fp;
@@ -1471,7 +1471,7 @@
 }
 
 HIDDEN int
-f_Save_RLE() /* Save framebuffer image with Run-Length Encoding. */
+f_Save_RLE(void) /* Save framebuffer image with Run-Length Encoding. */
 {
     static char rle_file_nm[MAX_LN];
     static char *args[4] =
@@ -1518,7 +1518,7 @@
 }
 
 HIDDEN int
-f_Transliterate() /* Transliterate pixels of color1 to target color2.*/
+f_Transliterate(void) /* Transliterate pixels of color1 to target color2.*/
 {
     RGBpixel new, cur;
     RGBpixel old = {0,0,0};
@@ -1552,7 +1552,7 @@
 }
 
 HIDDEN int
-f_Stop_Macro()
+f_Stop_Macro(void)
 {
     if ( ! remembering )
     {
@@ -1585,7 +1585,7 @@
 }
 
 HIDDEN int
-f_Enter_Macro_Definition()
+f_Enter_Macro_Definition(void)
 {
     int interactive = *cptr == NUL;
     macro_ptr = macro_buf;
@@ -1620,14 +1620,14 @@
 }
 
 HIDDEN int
-f_Set_Rect2D() /* Set current rectangle. */
+f_Set_Rect2D(void) /* Set current rectangle. */
 {
     get_Rect2D( "rectangle", &current );
     return 1;
 }
 
 HIDDEN int
-f_Center_Window() /* Center window around cursor. */
+f_Center_Window(void) /* Center window around cursor. */
 {
     fb_Wind();
     reposition_cursor = true;
@@ -1635,7 +1635,7 @@
 }
 
 HIDDEN int
-f_Rd_Font() /* Set current font. */
+f_Rd_Font(void) /* Set current font. */
 {
     static char fontname[FONTNAMESZ];
     if ( ! get_Input( fontname, FONTNAMESZ, "Enter font name : " ) )
@@ -1645,14 +1645,14 @@
 }
 
 HIDDEN int
-f_Set_Pixel() /* Set "paint" pixel color. */
+f_Set_Pixel(void) /* Set "paint" pixel color. */
 {
     fb_Get_Pixel( paint );
     return 1;
 }
 
 HIDDEN int
-f_Move_Lft() /* Move cursor left. */
+f_Move_Lft(void) /* Move cursor left. */
 {
     if ( cursor_pos.p_x >= step )
 	cursor_pos.p_x -= step;
@@ -1663,7 +1663,7 @@
 }
 
 HIDDEN int
-f_Zoom_In() /* Halve window size. */
+f_Zoom_In(void) /* Halve window size. */
 {
     if ( size_viewport > fb_getwidth(fbp) / 16 ) {
 	size_viewport /= 2;
@@ -1674,7 +1674,7 @@
 }
 
 HIDDEN int
-f_Move_Dwn() /* Move cursor down. */
+f_Move_Dwn(void) /* Move cursor down. */
 {
     if ( cursor_pos.p_y >= step )
 	cursor_pos.p_y -= step;
@@ -1685,7 +1685,7 @@
 }
 
 HIDDEN int
-f_Move_Up() /* Move cursor up. */
+f_Move_Up(void) /* Move cursor up. */
 {
     if ( cursor_pos.p_y <= fb_getheight(fbp) - step )
 	cursor_pos.p_y += step;
@@ -1696,7 +1696,7 @@
 }
 
 HIDDEN int
-f_Move_Rgt() /* Move cursor right. */
+f_Move_Rgt(void) /* Move cursor right. */
 {
     if ( cursor_pos.p_x <= fb_getwidth(fbp) - step )
 	cursor_pos.p_x += step;
@@ -1707,7 +1707,7 @@
 }
 
 HIDDEN int
-f_Status_Monitor() /* Toggle status monitoring. */
+f_Status_Monitor(void) /* Toggle status monitoring. */
 {
     Toggle( report_status );
     if ( report_status )
@@ -1716,7 +1716,7 @@
 }
 
 HIDDEN int
-f_Zoom_Out() /* Double window size. */
+f_Zoom_Out(void) /* Double window size. */
 {
     if ( size_viewport < fb_getwidth(fbp) ) {
 	size_viewport *= 2;
@@ -1727,7 +1727,7 @@
 }
 
 HIDDEN int
-f_Key_Set_Pixel() /* User types in paint color. */
+f_Key_Set_Pixel(void) /* User types in paint color. */
 {
     static char buffer[CLR_LEN];
     if ( ! getColor( paint, "Enter color", buffer ) )
@@ -1736,7 +1736,7 @@
 }
 
 HIDDEN int
-f_Quit()
+f_Quit(void)
 {
     prnt_Event( "Bye..." );
     restore_Tty();
@@ -1746,7 +1746,7 @@
 }
 
 HIDDEN int
-f_Rd_Fb() /* Read frame buffer image from file. */
+f_Rd_Fb(void) /* Read frame buffer image from file. */
 {
     static char image[MAX_LN];
     static FBIO *imp;
@@ -1790,7 +1790,7 @@
 }
 
 HIDDEN int
-f_String() /* Place label on picture. */
+f_String(void) /* Place label on picture. */
 {
     static char label[MAX_LN];
     if ( ! get_Input( label, MAX_LN, "Enter text string : " ) )
@@ -1801,7 +1801,7 @@
 }
 
 HIDDEN int
-f_Put_Pixel() /* Put pixel. */
+f_Put_Pixel(void) /* Put pixel. */
 {
     int rectwid = brush_sz / 2;
     /* If brush size is 2 or more, fill rectangle. */
@@ -1820,7 +1820,7 @@
 }
 
 HIDDEN int
-f_Set_X_Pos() /* Move cursor's X location (image space). */
+f_Set_X_Pos(void) /* Move cursor's X location (image space). */
 {
     static char x_str[5];
     if ( ! get_Input( x_str, 5, "Enter X coordinate : " ) )
@@ -1848,7 +1848,7 @@
 }
 
 HIDDEN int
-f_Set_Y_Pos() /* Move cursor's Y location (image space). */
+f_Set_Y_Pos(void) /* Move cursor's Y location (image space). */
 {
     static char y_str[5];
     if ( ! get_Input( y_str, 5, "Enter Y coordinate : " ) )
Index: src/fbed/char.c
===================================================================
--- src/fbed/char.c	(revision 54168)
+++ src/fbed/char.c	(working copy)
@@ -41,7 +41,7 @@
 /*
   char.c - routines for displaying a string on a frame buffer.
 */
-extern void fudge_Pixel();
+extern void fudge_Pixel(void);
 extern void fill_buf(int wid, int *buf), clear_buf(int wid, int *buf);
 extern void squash(int *buf0, int *buf1, int *buf2, float *ret_buf, int n);
 
Index: src/librt/primitives/revolve/revolve.c
===================================================================
--- src/librt/primitives/revolve/revolve.c	(revision 54168)
+++ src/librt/primitives/revolve/revolve.c	(working copy)
@@ -1191,7 +1191,7 @@
  * R T _ R E V O L V E _ C L A S S
  */
 int
-rt_revolve_class()
+rt_revolve_class(void)
 {
     return 0;
 }
Index: src/librt/primitives/bspline/nurb_flat.c
===================================================================
--- src/librt/primitives/bspline/nurb_flat.c	(revision 54168)
+++ src/librt/primitives/bspline/nurb_flat.c	(working copy)
@@ -38,7 +38,7 @@
 #include "nurb.h"
 
 
-extern fastf_t spl_crv_flat();
+extern fastf_t spl_crv_flat(void);
 
 
 int
Index: src/librt/mater.c
===================================================================
--- src/librt/mater.c	(revision 54168)
+++ src/librt/mater.c	(working copy)
@@ -247,7 +247,7 @@
  * returns the material linked list head node
  */
 struct mater *
-rt_material_head()
+rt_material_head(void)
 {
     return material_head;
 }
@@ -267,7 +267,7 @@
  * returns a copy of the material linked list head node
  */
 struct mater *
-rt_dup_material_head()
+rt_dup_material_head(void)
 {
     register struct mater *mp = NULL;
     register struct mater *newmp = NULL;
Index: src/nirt/command.c
===================================================================
--- src/nirt/command.c	(revision 54168)
+++ src/nirt/command.c	(working copy)
@@ -112,7 +112,7 @@
 void
 az_el(char *buffer, com_table *ctp, struct rt_i *UNUSED(rtip))
 {
-    extern int str_dbl();  /* function to convert string to double */
+    extern int str_dbl(char *buf, double *Result);  /* function to convert string to double */
     int i = 0;      /* current position on the *buffer */
     int rc = 0;     /* the return code value from str_dbl()   */
     double az;
@@ -164,7 +164,7 @@
 void
 grid_coor(char *buffer, com_table *ctp, struct rt_i *UNUSED(rtip))
 {
-    extern int str_dbl();  /* function to convert string to double */
+    extern int str_dbl(char *buf, double *Result);  /* function to convert string to double */
     int i = 0;
     int rc = 0;    /* the return code value from str_dbl() */
     vect_t Gr;
@@ -222,7 +222,7 @@
 void
 target_coor(char *buffer, com_table *ctp, struct rt_i *UNUSED(rtip))
 {
-    extern int str_dbl();  /* function to convert string to double */
+    extern int str_dbl(char *buf, double *Result);  /* function to convert string to double */
     int i = 0;
     int rc = 0;     /* the return code value from str_dbl() */
     vect_t Tar;	    /* Target x, y and z */
@@ -273,7 +273,7 @@
 void
 dir_vect(char *buffer, com_table *ctp, struct rt_i *UNUSED(rtip))
 {
-    extern int str_dbl();  /* function to convert string to double */
+    extern int str_dbl(char *buf, double *Result);  /* function to convert string to double */
     int i = 0;
     int rc = 0;    /* the return code value from str_dbl() */
     vect_t Dir;	   /* Direction vector x, y and z */
@@ -321,7 +321,7 @@
 }
 
 void
-quit()
+quit(void)
 {
     if (silent_flag != SILENT_YES)
 	(void) fputs("Quitting...\n", stdout);
@@ -329,7 +329,7 @@
 }
 
 void
-show_menu()
+show_menu(void)
 {
     com_table *ctp;
 
@@ -343,7 +343,7 @@
     int i;
     double bov = 0.0;	/* back out value */
 
-    extern void init_ovlp();
+    extern void init_ovlp(void);
 
     if (!rtip)
       return;
@@ -483,7 +483,7 @@
     double tmp_dbl;
     int i = 0;      /* current position on the *buffer */
 
-    double mk_cvt_factor();
+    double mk_cvt_factor(void);
 
     while (isspace((int)*(buffer+i)))
 	++i;
@@ -517,7 +517,7 @@
 {
     int i = 0;      /* current position on the *buffer */
     int j;
-    double mk_cvt_factor();
+    double mk_cvt_factor(void);
 
     while (isspace((int)*(buffer+i)))
 	++i;
Index: src/libmultispectral/sh_temp.c
===================================================================
--- src/libmultispectral/sh_temp.c	(revision 54168)
+++ src/libmultispectral/sh_temp.c	(working copy)
@@ -42,9 +42,9 @@
 HIDDEN void temp_print(register struct region *rp, genptr_t dp);
 HIDDEN void temp_free(genptr_t cp);
 
-extern int mlib_zero();
-extern int mlib_one();
-extern void mlib_void();
+extern int mlib_zero(struct application *UNUSED(a), const struct partition *UNUSED(b),struct shadework *UNUSED(c), genptr_t UNUSED(d));
+extern int mlib_one(struct region *UNUSED(a), struct bu_vls *UNUSED(b), genptr_t *UNUSED(c), const struct mfuncs *UNUSED(d), struct rt_i *UNUSED(e));
+extern void mlib_void(struct region *UNUSED(a), genptr_t UNUSED(b));
 
 struct mfuncs temp_mfuncs[] = {
     {MF_MAGIC,	"temp",		0,		MFI_UV,		0,	temp_setup,	temp_render,	temp_print,	temp_free },
